IriSP.serializers.medialist = {
    loadData : function(_url, _callback) {
        IriSP.jQuery.getJSON(_url, _callback);
    },
    deSerialize : function(_data, _source) {
        var _medialist = new IriSP.Model.List(_source.directory);
        IriSP._(_data).each(function(_m) {
            var _media = new IriSP.Model.Media(_m.id, _source);
            _media.video = _m.video;
            _media.title = _m.title;
            _media.description = "par " + _m.author;
            _media.setDuration(_m.duration);
            _media.thumbnail = _m.thumbnail;
            _medialist.push(_media);
        });
        _source.addList("media", _medialist);
    }
}